org.codehaus.plexus.component.composition

## Class DefaultComponentComposerManager

- java.lang.Object
- - org.codehaus.plexus.component.composition.DefaultComponentComposerManager

All Implemented Interfaces:
  ComponentComposerManager

    public class DefaultComponentComposerManager
    extends Object
    implements ComponentComposerManager

Version:
  $Id: DefaultComponentComposerManager.java 1750 2005-04-19 07:45:02Z brett $
Author:
  Michal Maczka

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.composition.ComponentComposerManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultComponentComposerManager()`

### Method Summary

Methods
`void` `assembleComponent(Object component, ComponentDescriptor componentDescriptor, PlexusContainer container)`
`protected ComponentComposer` `getComponentComposer(String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultComponentComposerManager

    public DefaultComponentComposerManager()

### Method Detail

#### assembleComponent

    public void assembleComponent(Object component,
                         ComponentDescriptor componentDescriptor,
                         PlexusContainer container)
                           throws UndefinedComponentComposerException,
                                  CompositionException

Specified by:
  `assembleComponent` in interface `ComponentComposerManager`
Throws:
  `UndefinedComponentComposerException`
  `CompositionException`

#### getComponentComposer

    protected ComponentComposer getComponentComposer(String id)
                                              throws UndefinedComponentComposerException

Throws:
  `UndefinedComponentComposerException`